<a name="readme-top"></a>

[![Build passing][build-shield]][build-url]
[![Perl][Perl]][Perl-url]
[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![Pull requests][pulls-shield]][pulls-url]
[![Docker pulls][docker-pulls-shield]][docker-pulls-url]

<br />
<div align="center">
  <a href="https://github.com/LMS-Community/slimserver">
    <img src="https://raw.githubusercontent.com/LMS-Community/slimserver-platforms/public/9.0/win32/res/SqueezeCenter.ico" alt="Logo" width="128" height="128">
  </a>
  
  <h3 align="center">Lyrion Music Server</h3>

  <p align="center">
    Streaming audio server
    <br />
    <a href="https://lyrion.org"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://github.com/LMS-Community/slimserver/issues/new?labels=bug">Report Bug</a>
    ·
    <a href="https://github.com/LMS-Community/slimserver/issues/new?labels=enhancement">Request Feature</a>
  </p>
  
</div>

## About The Project

[![LMS Screen Shot][lyrion-screenshot]](https://lyrion.org)

Lyrion Music Server (aka. LMS, fka. Logitech Mediaserver, SlimServer, SqueezeCenter, SqueezeboxServer, SliMP3) is the server software that powers audio players from [Logitech](https://www.logi.com) (formerly known as SlimDevices), including [Squeezebox 3rd Generation, Squeezebox Boom, Squeezebox Receiver, Transporter, Squeezebox2, Squeezebox and SLIMP3](https://lms-community.github.io/players-and-controllers/hardware-comparison/), and many software emulators like [Squeezelite and SqueezePlay](https://sourceforge.net/projects/lmsclients/files/).

With the help of many plugins, Lyrion Music Server can stream not only your local music collection, but content from many music services and internet radio stations to your players.

Lyrion Music Server is written in Perl. It runs on pretty much any platform that Perl runs on, including Linux, Mac OSX, Solaris and Windows.

Enjoy the music on your Squeezebox!

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Getting Started

LMS runs on almost anything! Whether you have a Windows, macOS or Linux system, whether this is a single board computer (such as a Raspberry Pi), desktop, laptop or even a NAS, LMS will most likely run on it. Go to the [Getting started documentation](https://lyrion.org/getting-started/) for installation instructions.

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<p align="right">(<a href="#readme-top">back to top</a>)</p>

[build-shield]: https://img.shields.io/github/actions/workflow/status/LMS-Community/slimserver/00_smoketest.yaml?style=flat
[build-url]: https://github.com/LMS-Community/slimserver/actions/workflows/00_smoketest.yaml
[contributors-shield]: https://img.shields.io/github/contributors/LMS-Community/slimserver.svg?style=flat
[contributors-url]: https://github.com/LMS-Community/slimserver/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/LMS-Community/slimserver.svg?style=flat
[forks-url]: https://github.com/LMS-Community/slimserver/network/members
[stars-shield]: https://img.shields.io/github/stars/LMS-Community/slimserver.svg?style=flat
[stars-url]: https://github.com/LMS-Community/slimserver/stargazers
[issues-shield]: https://img.shields.io/github/issues/LMS-Community/slimserver.svg?style=flat
[issues-url]: https://github.com/LMS-Community/slimserver/issues
[pulls-shield]: https://img.shields.io/github/issues-pr/LMS-Community/slimserver.svg?style=flat
[pulls-url]: https://github.com/LMS-Community/slimserver/pulls
[docker-pulls-shield]: https://img.shields.io/docker/pulls/lmscommunity/logitechmediaserver?style=flat
[docker-pulls-url]: https://hub.docker.com/r/lmscommunity/logitechmediaserver
[lyrion-screenshot]: https://lyrion.org/assets/screenshot.png
[Perl]: https://img.shields.io/badge/Written_in-perl-orange?logo=perl
[Perl-url]: https://perl.org/
